Bug 821202 - Brightness Controls Non-Functional on ATI SUMO
Brightness Controls Non-Functional on ATI SUMO
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 23:10 EDT by Jason Smith
Modified: 2013-08-01 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Dmesg Output (69.65 KB, text/plain)
2012-05-12 23:10 EDT, Jason Smith
no flags Details
Xorg Log (42.69 KB, text/x-log)
2012-05-12 23:12 EDT, Jason Smith
no flags Details

  None (edit)
Description Jason Smith 2012-05-12 23:10:47 EDT
Created attachment 584085 [details]
Dmesg Output

Description of problem:  Brightness levels will not change using hardware keys or in Battery Monitor applet thru KDE.  Hardware is a Toshiba Satellite P775D laptop with an AMD A8-3520 APU and Radeon HD 6620G graphics chip.


Version-Release number of selected component (if applicable):  Current ATI driver as of 05/12/2012.


How reproducible: Upon any attempt to change brightness level


Steps to Reproduce:
1.  Usage of hardware function keys on keyboard (Keystroke Fn+F6 or Fn+F7)
2.  Usage of Slider bar on Battery Monitor KDE applet to adjust brightness
3.
  
Actual results:  Brightness level remains constant upon any change in setting


Expected results:  Brightness level should increase or decrease based on requested value.


Additional info:  See attached dmesg output and Xorg log file
Comment 1 Jason Smith 2012-05-12 23:12:10 EDT
Created attachment 584086 [details]
Xorg Log
Comment 2 Jason Smith 2012-05-12 23:25:38 EDT
Upon review of the Xorg log file, it appears X11 is setting my graphics driver as SUMO, which is for the Radeon HD 3000 series chips, and the correct hardware driver should be for a Radeon HD 6620G or 6000 series.  The SUMO set may be causing functionality loss, can anyone confirm?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Jason Smith 2012-06-10 17:01:51 EDT
This error is reproducible on current Kernel 3.4 and current ATI driver shipped with F17 release.  I'm however not sure if this error is releated to the ATI driver for X or something with the Kernel not controlling the display correctly. Marking bug as triaged for additional review.

-- 
Jason
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora End Of Life 2013-07-04 00:25:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:29:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.